matrix:
  unix_platform:
  - debian11
  - ubuntu2204
  macos_platform:
  - macos_arm64
  bazel:
  - 7.x
  - 8.x
# Anon tasks dont require a compiler toolchain to be setup
# they also dont require rules_python
tasks:
  gcc:
    name: Run anon GCC tests
    name: Verify build targets
    platform: ${{ unix_platform }}
    bazel: ${{ bazel }}
    build_flags:
    - "--@envoy_toolshed//compile:use_gcc_toolchain=true"
    build_targets:
    - "@envoy_toolshed//..."
    - "-@envoy_toolshed//compile/..."
    - "-@envoy_toolshed//website/..."
  macos:
    name: Run anon macOS tests
    platform: ${{ macos_platform }}
    bazel: ${{ bazel }}
    build_targets:
    - "@envoy_toolshed//..."
    - "-@envoy_toolshed//compile/..."
    - "-@envoy_toolshed//website/..."

bcr_test_module:
  module_path: bcr
  matrix:
    unix_platform:
    # NO libtinfo5 8(
    # enable once llvm bumped to >18
    # - debian11
    # - ubuntu2404
    - ubuntu2204
    macos_platform:
    - macos_arm64
    bazel:
      - 7.x
      - 8.x
  tasks:
    gcc:
      name: Run GCC tests
      name: Verify build targets
      platform: ${{ unix_platform }}
      bazel: ${{ bazel }}
      build_flags:
      - "--@envoy_toolshed//compile:use_gcc_toolchain=true"
      build_targets:
      - "@envoy_toolshed//..."
      - "-@envoy_toolshed//compile/..."
    llvm:
      name: Run LLVM tests
      platform: ${{ unix_platform }}
      bazel: ${{ bazel }}
      build_targets:
      - "@envoy_toolshed//..."
    macos:
      name: Run macOS tests
      platform: ${{ macos_platform }}
      bazel: ${{ bazel }}
      build_targets:
      - "@envoy_toolshed//..."
      - "-@envoy_toolshed//compile/..."
